Subject: Re: [bug#71371] [PATCH v2] gnu: svn-fetch: Allow specifying revisions as strings.

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 19 Jun 2024 09:27:18 +0200

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Nicolas Goaziou <[email-masked]> writes:

>> Anyway, this patch is there to make my life less miserable while writing
>> a TeX Live updater. It is of no use (to me) if it is restricted to
>> internal projects. I'm not putting pressure on anyone though, if it
>> isn't accepted, I'll find other, probably more tedious, ways to complete
>> the updater.

> I see.  I don't have a strong opinion, if it eases the maintenance of
> the many texlive packages we carry, but it seems to me that an updater
> could do the work of associating an immutable SVN reference to a tag at
> the time of the import.

That's indeed the plan B I had in mind when I wrote about other ways.
It's a bit more involved, though.

Fair enough. I'll close this door and open a new one.

Regards,
-- 
Nicolas Goaziou